<style scoped="">
.main_slider_ct{
  position: relative;
}
.main_slider_ct .text_slider_ct{
  position: absolute;
  bottom: 35px;
  width: 100%;
}
.main_slider{
  position: relative;
  background-color: #3B72F6;
} 
.main_slider .comm_width{
  position: relative;
  background-image: url(../assets/images/main_slider_bg.jpg);
  background-size: 659px 525px;
  background-repeat: no-repeat;
  background-position: top 73px right;
  height: 550px;
}
.supply_btn{
  font-size: 16px;
  padding: 24px 45px;
  display: block;
  background-color: #0D5EE5;
  color: #fff;
  display: inline-block;

  font-size: 16px;
  padding: 18px 45px;
  display: block;
  background-color: #fdfeff;
  color: #3B72F6;
  display: inline-block;
  border-radius: 2px;
}
.main_slider_content{
  border-top: 1px solid rgba(0, 0, 0, 0);
  width: 50%;
  background-image: url(../assets/images/points_in_rectancle.jpg);
  background-repeat: no-repeat;
  background-size: 183px 202px;
  background-position: top 95px left;
}
.main_slider_des_txt{
  font-size: 20px;
  line-height: 36px;
  margin-bottom: 72px;
  padding-right: 88px;
  color: #FFFFFF;
}
.main_slider_title{
  margin-top: 167px;
  font-size: 57px;
  color: #fff;
}
.main_slider .banner2{
  /*banner2.png*/
  background-image: url(../assets/images/banner2.png);
}
.main_slider .bg3 {
  background-image: url('https://shuyuchain.com/static/75953e8e12f7caeed05545caf7c5a6e2.png');
}
.main_slider .bg4 {
  background-image: url('https://shuyuchain.com/static/e950027269739acbd0961d22828e900d.png');
}
.main_slider .bg5 {
  background-image: url('https://shuyuchain.com/static/e6e9ad6dfd85365333294070e3c4a72f.png');
}
@media (max-width: 800px) {
  .main_slider_content{
    width: 100%;
  }
  .main_slider_title{
    margin-top: 75px;
    text-align: center;
    font-size: 32px;
  }
  .main_slider .comm_width{
    background-image: none;
    height: auto;
  }
  .main_slider_des_txt{
    font-size: 12px;
    line-height: 20px;
    text-align: center;
    width: 240px;
    margin: 0 auto;
    padding-right: 0px;
  }
  .supply_btn_ct{
    display: flex;
    justify-content: center;
  }
  .supply_btn{
    height: 45px;
    line-height: 45px;
    border-radius: 3px;
    display: block;
    margin: 0 auto;
    margin-top: 30px;
    padding: 0px;
    text-align: center;
    display: inline-block;
    padding: 0px 20px;
  }
  .mobile_top_bg{
    position: relative;
    background-image: url(../assets/images/main_slider_bg.jpg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    height: 250px;
    /*margin: 10px;*/
  }
}
</style>
<template>
<div class="main_slider_ct" @mouseover="toggle_hover(true)" @mouseout="toggle_hover(false)">
  
  <div class="main_slider" v-for="item, index in datas" v-if="select_value == index" :key="index">
    <div class="comm_width"  v-bind:class="item.banner_class">
      <div class="main_slider_content">
        <div class="main_slider_title" v-html="item.title">
        </div>
        <p class="main_slider_des_txt">
          {{ item.brief }}
        </p>
        <div class="supply_btn_ct">
          <router-link :to="{'name': item.action.name}" class="supply_btn" v-if="item.action.name">
            {{ item.action.text }}
          </router-link>
          <a :href="item.action.link_to" class="supply_btn" v-if="item.action.link_to">
            {{ item.action.text }}
          </a>
        </div>
      </div>
      <div class="mobile_top_bg" ></div>
    </div>
  </div>

  <text_slider :data="datas" :wait_time="5" @change="change" v-model="select_value" :hover="hover"></text_slider>

</div>

</template>
<script>
import { lang, set_lang } from '@/data/langs/index.js'
import text_slider from '@/components/text_slider.vue'
export default {
  data () {
    return {
      lang,
      select_value: 0,
      hover: false,
      datas: [
        {
          title: lang.data['数与供应链<br/>可信协同中台'],
          brief: lang.data['提供溯源解决方案，创造可信的供应链协同环境'],
          banner_class: '',
          action: {
            text: lang.data['了解更多'],
            name: 'logistics'
          },
          item_style: {
            width: '30px'
          },
        },
        {
          title: lang.data['可定制的<br/>区块链服务平台'],
          brief: lang.data['高性能、低延迟、高隐私、高可拓展的区块链平台'],
          banner_class: 'banner2',
          action: {
            text: lang.data['了解更多'],
            name: 'platform_service'
          },
          item_style: {
            width: '30px'
          },
        },
        {
          title: lang.data['区块链开发'] || '区块链开发',
          brief: lang.data['卓越的区块链开发技术服务'] || '卓越的区块链开发技术服务',
          banner_class: 'bg3',
          action: {
            text: lang.data['了解更多'],
            name: '',
            link_to: '#提供的服务'
          },
          item_style: {
            width: '30px'
          },
        },
        {
          title: lang.data['联盟链开发'] || '联盟链开发',
          brief: lang.data['为企业提供一站式联盟链解决方案'] || '为企业提供一站式联盟链解决方案',
          banner_class: 'bg4',
          action: {
            text: lang.data['了解更多'],
            name: '',
            link_to: '#解决方案'
          },
          item_style: {
            width: '30px'
          },
        },
        {
          title: lang.data['数与科技'] || '数与科技',
          brief: lang.data['创造公平可持续的信任经济生态'] || '创造公平可持续的信任经济生态',
          banner_class: 'bg5',
          action: {
            text: lang.data['了解更多'],
            name: '',
            link_to: 'https://shuyuchain.com/about_us'
          },
          item_style: {
            width: '30px'
          },
        },
      ]
    }
  },

  methods: {
    toggle_hover (status) {
      this.hover = status;
    },
    change () {
      
    }
  },

  components:{
    text_slider
  }
}
</script>